<?php

call_user_func(
	static function () {
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(
			'@import "EXT:sg_jobs/Configuration/TypoScript/Common/setup.typoscript"'
		);
		// Configure frontend plugins
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
			'SgJobs',
			'Joblist',
			[
				// Available actions
				\SGalinski\SgJobs\Controller\JoblistController::class => 'index'
			],
			[
				// Non-Cache actions
				\SGalinski\SgJobs\Controller\JoblistController::class => 'index'
			]
		);
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
			'SgJobs',
			'JobApplication',
			[
				// Available actions
				\SGalinski\SgJobs\Controller\JoblistController::class => 'applyForm, apply, empty'
			],
			[
				// Non-Cache actions
				\SGalinski\SgJobs\Controller\JoblistController::class => 'applyForm, apply, empty'
			]
		);
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
			'SgJobs',
			'JobTeaser',
			[
				// Available actions
				\SGalinski\SgJobs\Controller\JobTeaserController::class => 'index'
			],
			[
				// Non-Cache actions
				\SGalinski\SgJobs\Controller\JobTeaserController::class => ''
			]
		);

		\SGalinski\SgAjax\Service\AjaxRegistration::configureAjaxFrontendPlugin(
			'sg_jobs',
			[
				\SGalinski\SgJobs\Controller\Ajax\UploadController::class => 'uploadCoverletter, uploadCv, uploadCertificate',
			]
		);

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants(
			'@import "EXT:sg_jobs/Configuration/TypoScript/Backend/constants.typoscript"'
		);

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(
			'@import "EXT:sg_jobs/Configuration/TypoScript/Backend/setup.typoscript"'
		);

		// register mail templates
		$GLOBALS['sg_mail']['sg_jobs']['ApplicationMail'] = 'EXT:sg_jobs/Configuration/SgMail/ApplicationMail.php';
		$GLOBALS['sg_mail']['sg_jobs']['ApplicantMail'] = 'EXT:sg_jobs/Configuration/SgMail/ApplicantMail.php';

		//include Plugin sg_jobs
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
			'@import "EXT:sg_jobs/Configuration/TsConfig/Page/NewContentElementWizard.tsconfig"'
		);

		$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['languagevisibility']['recordElementSupportedTables']['tx_sgjobs_domain_model_job'] = [];
	}
);
